QAssistantClient(3qt)

NAME
QAssistantClient - Means of using Qt Assistant as an application's help tool

SYNOPSIS
#include <qassistantclient.h>

Inherits QObject.

  Public Members
QAssistantClient ( const QString & path, QObject * parent = 0, const char * name = 0 )
~QAssistantClient ()
bool isOpen () const
void setArguments ( const QStringList & args )

  Public Slots
virtual void openAssistant ()
virtual void closeAssistant ()
virtual void showPage ( const QString & page )

  Signals
void assistantOpened ()
void assistantClosed ()
void error ( const QString & msg )

  Properties
bool open - whether Qt Assistant is open (read only)

DESCRIPTION
The QAssistantClient class provides a means of using Qt Assistant as an application's help tool.

Using Qt Assistant is simple: Create a QAssistantClient instance, then call showPage() as often as necessary to show your help pages. When you call showPage(), Qt Assistant will be launched if it isn't already running.

The QAssistantClient instance can open (openAssistant()) or close (closeAssistant()) Qt Assistant whenever required. If Qt Assistant is open, isOpen() returns TRUE.

One QAssistantClient instance interacts with one Qt Assistant instance, so every time you call openAssistant(), showPage() or closeAssistant() they are applied to the particular Qt Assistant instance associated with the QAssistantClient.

When you call openAssistant() the assistantOpened() signal is emitted. Similarly when closeAssistant() is called, assistantClosed() is emitted. In either case, if an error occurs, error() is emitted.

This class is not included in the Qt library itself. To use it you must link against libqassistantclient.a (Unix) or qassistantclient.lib (Windows), which is built into INSTALL/lib if you built the Qt tools (INSTALL is the directory where Qt is installed). If you use qmake, then you can simply add the following line to your pro file:

        LIBS += -lqassistantclient

See also "Adding Documentation to Qt Assistant" in the Qt Assistant manual.

MEMBER FUNCTION DOCUMENTATION

QAssistantClient::QAssistantClient ( const QString & path, QObject * parent = 0, const char * name = 0 )
Constructs an assistant client object. The path specifies the path to the Qt Assistant executable. If path is an empty string the system path (%PATH% or $PATH) is used.

The assistant client object is a child of parent and is called name.

QAssistantClient::~QAssistantClient ()
Destroys the assistant client object and frees up all allocated resources.

void QAssistantClient::assistantClosed () [signal]
This signal is emitted when the connection to Qt Assistant is closed. This happens when the user exits Qt Assistant, or when an error in the server or client occurs, or if closeAssistant() is called.

void QAssistantClient::assistantOpened () [signal]
This signal is emitted when Qt Assistant is open and the client-server communication is set up.

void QAssistantClient::closeAssistant () [virtual slot]
Use this function to close Qt Assistant.

See also assistantClosed().

void QAssistantClient::error ( const QString & msg ) [signal]
This signal is emitted if Qt Assistant cannot be started or if an error occurs during the initialization of the connection between Qt Assistant and the calling application. The msg provides an explanation of the error.

bool QAssistantClient::isOpen () const
Returns TRUE if Qt Assistant is open; otherwise returns FALSE. See the "open" property for details.

void QAssistantClient::openAssistant () [virtual slot]
This function opens Qt Assistant and sets up the client-server communiction between the application and Qt Assistant. If it is already open, this function does nothing. If an error occurs, error() is emitted.

See also assistantOpened().

void QAssistantClient::setArguments ( const QStringList & args )
Sets the command line arguments used when Qt Assistant is started to args.

void QAssistantClient::showPage ( const QString & page ) [virtual slot]
Call this function to make Qt Assistant show a particular page. The page is a filename (e.g. myhelpfile.html). See "Adding Documentation to Qt Assistant" in the Qt Assistant manual for further information.

If Qt Assistant hasn't been opened yet, this function will do nothing. You can use isOpen() to determine whether Qt Assistant is up and running, or you can connect to the asssistantOpened() signal.

See also open and assistantOpened().

Example: helpsystem/mainwindow.cpp.

  Property Documentation

bool open
This property holds whether Qt Assistant is open.

Get this property's value with isOpen().

SEE ALSO
http://doc.trolltech.com/qassistantclient.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qassistantclient.3qt) and the Qt version (3.3.8).